#
# spec file for package qoauth-qt5
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qoauth-qt5
Version:        2.0.0
Release:        4.5
Summary:        Library for interaction with OAuth-powered network services
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Url:            https://github.com/ayoy/qoauth
Source:         qoauth-%{version}.tar.gz
# PATCH-FIX-OPENSUSE qoauth-qt5-rpmoptflags.patch crrodriguez@opensuse.org
Patch0:         qoauth-qt5-rpmoptflags.patch
# PATCH-FIX-OPENSUSE qoauth-qt5-ppc64-libdir.patch uweigand@de.ibm.com
Patch2:         qoauth-qt5-ppc64-libdir.patch
# PATCH-FIX-OPENSUSE pcfile.patch wbauer@tmo.at -- Adjust the pkgconfig file to Qt5.
Patch3:         pcfile.patch
# PATCH-FIX-OPENSUSE qoauth-qt5-fix-includedir.patch sor.alexei@meowr.ru -- Fix the include directory.
Patch4:         qoauth-qt5-fix-includedir.patch
BuildRequires:  libqca-qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

%description
QOAuth supports interaction with OAuth-powered network services,
in the style of Qt libraries.

%package -n libqoauth2
Summary:        Library for interaction with OAuth-powered network services
Group:          System/Libraries

%description -n libqoauth2
QOAuth supports interaction with OAuth-powered network services,
in the style of Qt libraries.

%package devel
Summary:        Development files for QOAuth
Group:          Development/Libraries/C and C++
Requires:       libqoauth2 = %{version}
Conflicts:      qoauth-devel

%description devel
QOAuth supports interaction with OAuth-powered network services,
in the style of Qt libraries.

This package contains files for developing applications using QOAuth.

%prep
%autosetup -p1 -n qoauth-%{version}

%build
%qmake5
make %{?_smp_mflags} V=1

%install
%qmake5_install

%post -n libqoauth2 -p /sbin/ldconfig

%postun -n libqoauth2 -p /sbin/ldconfig

%files -n libqoauth2
%defattr(-,root,root)
%license LICENSE
%{_libdir}/libqoauth.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/QtOAuth
%{_libdir}/libqoauth.so
%{_libdir}/libqoauth.prl
%{_libdir}/pkgconfig/qoauth.pc
%dir %{_libdir}/qt5/
%dir %{_libdir}/qt5/mkspecs/
%dir %{_libdir}/qt5/mkspecs/features/
%{_libdir}/qt5/mkspecs/features/oauth.prf

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Wed Aug 15 2018 schwab@suse.de
- qoauth-ppc64-libdir.patch: Also add riscv64 as lib64 platform
- Use %%licence for LICENSE
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Add qoauth-qt5-fix-includedir.patch: fix the include directory.
- A minor spec cleanup.
* Mon Jan 30 2017 jengelh@inai.de
- Trim filler words from descriptions
* Thu Jan 19 2017 wbauer@tmo.at
- Change license to LGPL-2.1+
- Install LICENSE file
* Wed Dec 28 2016 jengelh@inai.de
- Ensure all directories are owned. Re-set RPM groups,
  drop extra author mentions.
* Tue Dec 27 2016 wbauer@tmo.at
- Update to version 2.0.0:
  * Qt5 support
- Rename qoauth-rpmoptflags.patch to qoauth-qt5-rpmoptflags.patch
- Rename qoauth-ppc64-libdir.patch to qoauth-qt5-ppc64-libdir.patch
- Add pcfile.patch to adjust the pkgconfig file to Qt5
* Thu May 28 2015 ro@suse.de
- expand qoauth-ppc64-libdir.patch for s390x
* Sun Dec 15 2013 uweigand@de.ibm.com
- qoauth-ppc64-libdir.patch: Add ppc64le as lib64 platform
* Mon Mar 18 2013 schwab@suse.de
- Add aarch64 to the list of lib64 platforms
* Fri Jul  6 2012 dvaleev@suse.com
- fix ppc64 libdir
* Sat Mar 10 2012 crrodriguez@opensuse.org
- Use RPM_OPT_FLAGS
- Fix -debuginfo generation..
- Build with inlines-hidden
* Thu Dec  8 2011 coolo@suse.com
- this should be LGPL-3.0+, LGPL is not a valid license name
* Sun Aug  7 2011 toddrme2178@gmail.com
- Removed name from summaries (fix for RPMLINT warning)
* Wed Sep 22 2010 tittiatcoke@gmail.com
- Changed spec-file to remove duplicated BuildRequires
* Mon Aug 30 2010 tittiatcoke@gmail.com
- Update to version 1.0.1
  * new API:
  - QOAuth::Interface::networkAccessManager()
  - QOAuth::Interface::setNetworkAccessManager()
  - QOAuth::Interface::ignoreSslErrors()
  - QOAuth::Interface::setIgnoreSslErrors()
    refer to the API docs for more info,
  * added missing export statements to some global functions,
  * Percent encode consumer secret and token secret for the Signature Base String signing key [#8],
  * Parse for request content when sending POST [#10],
  * API docs and examples fixes [#9],
  * temporarily removed QOAuth::DELETE from QOAuth::HttpMethod enum on Windows [#4],
  * buildsystem fixes - install under /usr/lib64 on 64-bit Unix-like systems and
    make use of QT_INSTALL_HEADERS in oauth.prf.
  * Added support for RSA-SHA1 signing algorithm, also working with
    passphrase-protected private RSA keys.
  * Added initial support for PLAINTEXT authorization.
  * inlineParameters() extended by the parameter specifying parsing method,
  * Introduced the QOAuth namespace, with QOAuth::Interface class holding the core
    functionality.
* Tue Oct 27 2009 flavio@castelli.name
- first release
